=== modified file 'Makefile.am'
--- Makefile.am	2010-01-26 13:20:42 +0000
+++ Makefile.am	2010-02-05 12:51:59 +0000
@@ -1,4 +1,4 @@
-SUBDIRS = data libubuntuone tests bindings
+SUBDIRS = data libubuntuone tests bindings po
 
 pcfiles = libubuntuone-1.0.pc
 

=== modified file 'configure.ac'
--- configure.ac	2010-02-04 19:15:29 +0000
+++ configure.ac	2010-02-05 12:51:59 +0000
@@ -15,6 +15,17 @@
 AC_PROG_CC
 AC_PROG_LIBTOOL
 
+dnl i18n
+IT_PROG_INTLTOOL([0.35.5])
+AM_GLIB_GNU_GETTEXT
+
+GETTEXT_PACKAGE=libubuntuone
+AC_SUBST(GETTEXT_PACKAGE)
+AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [Ubuntu One Widget library])
+
+localedir='$(prefix)/$(DATADIRNAME)/locale'
+AC_SUBST(localedir)
+
 dnl glib-genmarshal
 AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
 
@@ -106,6 +117,7 @@
 tests/Makefile
 bindings/Makefile
 bindings/python/Makefile
+po/Makefile.in
 ])
 
 AC_MSG_NOTICE([

=== modified file 'libubuntuone/contacts-view.c'
--- libubuntuone/contacts-view.c	2010-02-04 11:18:56 +0000
+++ libubuntuone/contacts-view.c	2010-02-05 12:51:59 +0000
@@ -301,7 +301,7 @@
 	gtk_widget_show (cv->recently_used_view);
 	gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (scroll), cv->recently_used_view);
 
-	gtk_notebook_append_page (GTK_NOTEBOOK (cv), scroll, gtk_label_new ("Recently used"));
+	gtk_notebook_append_page (GTK_NOTEBOOK (cv), scroll, gtk_label_new (_("Recently used")));
 
 	/* Create the alphabetical view */
 	scroll = gtk_scrolled_window_new (NULL, NULL);
@@ -322,7 +322,7 @@
 	gtk_widget_show (cv->alphabetical_view);
 	gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (scroll), cv->alphabetical_view);
 
-	gtk_notebook_append_page (GTK_NOTEBOOK (cv), scroll, gtk_label_new ("A-Z"));
+	gtk_notebook_append_page (GTK_NOTEBOOK (cv), scroll, gtk_label_new _(("A-Z")));
 
 	/* Open all addressbooks */
 	if (!e_book_get_addressbooks (&cv->source_list, &error)) {

=== modified file 'libubuntuone/u1-contacts-picker.c'
--- libubuntuone/u1-contacts-picker.c	2010-02-04 11:13:03 +0000
+++ libubuntuone/u1-contacts-picker.c	2010-02-05 12:51:59 +0000
@@ -19,6 +19,7 @@
  * Boston, MA 02110-1301, USA.
  */
 
+#include <glib/gi18n.h>
 #include "u1-contacts-picker.h"
 #include "contacts-view.h"
 
@@ -35,7 +36,6 @@
 {
 	U1ContactsPicker *picker = U1_CONTACTS_PICKER (object);
 
-	g_debug ("In u1_contacts_picker_finalize");
 	if (picker->priv != NULL) {
 		g_free (picker->priv);
 		picker->priv = NULL;
@@ -79,7 +79,7 @@
 	gtk_widget_show (picker->priv->search_entry);
 	gtk_table_attach (GTK_TABLE (table), picker->priv->search_entry, 0, 1, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
 
-	picker->priv->total_label = gtk_label_new ("0 contacts");
+	picker->priv->total_label = gtk_label_new (_("0 contacts"));
 	gtk_widget_show (picker->priv->total_label);
 	gtk_table_attach (GTK_TABLE (table), picker->priv->total_label, 1, 2, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
 	

=== added directory 'po'
=== added file 'po/LINGUAS'
--- po/LINGUAS	1970-01-01 00:00:00 +0000
+++ po/LINGUAS	2010-02-05 12:51:59 +0000
@@ -0,0 +1,3 @@
+# Please keep this list sorted alphabetically
+#
+es

=== added file 'po/POTFILES.in'
--- po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ po/POTFILES.in	2010-02-05 12:51:59 +0000
@@ -0,0 +1,3 @@
+libubuntuone/contacts-view.c
+libubuntuone/u1-contacts-picker.c
+libubuntuone/u1-music-store.c

=== added file 'po/es.po'
